%define		oname lshell

Name:		python-lshell
Version:	0.9.16
Release:	%mkrel 5
Summary:	Python-based limited Shell

Group:		Shells
License:	GPLv3+
URL:		http://ghantoos.org/limited-shell-lshell
Source:		https://github.com/ghantoos/%{oname}/releases/download/%{version}/%{oname}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python)

Requires:	python

%description
lshell provides a limited shell configured per user. The configuration
is done quite simply using a configuration file.


%prep
%setup -q -n %{oname}-%{version}
#Fix permission
chmod -x CHANGES


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
#doc files at the wrong place
rm %{buildroot}%{_defaultdocdir}/lshell/{CHANGES,COPYING,README}


%files
%doc CHANGES COPYING README
%{_mandir}/man*/*.*
%{_bindir}/%{oname}
%config(noreplace) %{_sysconfdir}/%{oname}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{oname}
%{python_sitelib}/%{oname}/
%{python_sitelib}/%{oname}*.egg-info


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.9.16-5.mga5
+ Revision: 750062
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.16-4.mga5
+ Revision: 728958
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.16-3.mga5
+ Revision: 688133
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Thu Feb 06 2014 sander85 <sander85> 0.9.16-1.mga5
+ Revision: 584429
- New version: 0.9.16

* Tue Oct 22 2013 umeabot <umeabot> 0.9.15.1-4.mga4
+ Revision: 543740
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.15.1-3.mga4
+ Revision: 498867
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.15.1-2.mga3
+ Revision: 379074
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 sander85 <sander85> 0.9.15.1-1.mga3
+ Revision: 343938
- imported package python-lshell

